Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm rather new to Asterisk, and I need my server to support WebRTC. As far as I know, Asterisk version in Asterisk Now is compiled without SRTP support, which is necessary for WebRTC.

So, I try to compile Asterisk 11.5.0 with SRTP on my Ubuntu server 13.04. I execute ./configure command with --with-srtp option. Here is this command:

./configure --with-crypto --with-ssl --with-srtp

But I get a warning:

checking for the ability of -lsrtp to be linked in a shared object... no
configure: WARNING: ***
configure: WARNING: *** libsrtp could not be linked as a shared object.
configure: WARNING: *** Try compiling libsrtp manually. Configure libsrtp
configure: WARNING: *** with ./configure CFLAGS=-fPIC --prefix=/usr
configure: WARNING: *** replacing /usr with the prefix of your choice.
configure: WARNING: *** After re-installing libsrtp
configure: WARNING: *** configure script.
configure: WARNING: ***
configure: WARNING: *** If you do not need SRTP support re-run configure
configure: WARNING: *** with the --without-srtp option.

My libsrtp (v 1.4.4) is already compiled with the options, mentioned above! I've also tried to set location of libsrtp, while configuring Asterisk:

./configure --with-crypto --with-ssl --with-srtp=/usr/include/srtp

but this changes nothing.

Can you help me with WebRTC support in Asterisk?

UPD: I think, there is a problem in SRTP library, because it does not pass runtest properly: Error 254. They write, changing "RTPW=rtpw" to "RTPW=./rtpw" in rtpw_test.sh will fix this error, but it doesn't.

share|improve this question

2 Answers 2

Did you install the development headers? You should be able to get 1.4.4 in the repositories and not have to compile from source. That is what I did although I am not on Ubuntu 13.04.

apt-cache search libsrtp

should hopefully yield either libsrtp-dev or libsrtp1-dev or something along those lines

share|improve this answer

Installing Gentoo and emerging Asterisk with srtp flag solved my problem. Any solution for Ubuntu was not finded, regardless on 2 days of earnest search.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.